### Hierarchy

- AbstractCommand
  - RestartCommand

## Index

### Constructors

- constructor

### Properties

- __coverageCount
- __source

### Methods

- __getLineAndColumnRange
- __getSourceLineAndColumn
- __incrementCoverage
- getMessage
- getSound
- getType
- toKey
- toSourceString
- toString

## Constructors

### constructor

- new RestartCommand(source: IGameCode): RestartCommand

- Overrides BaseForLines.constructor

  - Defined in models/command.ts:71

  #### Parameters

  - ##### source: IGameCode

  #### Returns RestartCommand

## Properties

### __coverageCount

__coverageCount: Optional<number>

Inherited from BaseForLines.__coverageCount

- Defined in models/BaseForLines.ts:69

### __source

__source: IGameCode

Inherited from BaseForLines.__source

- Defined in models/BaseForLines.ts:68

## Methods

### __getLineAndColumnRange

- __getLineAndColumnRange(): object

- Inherited from BaseForLines.__getLineAndColumnRange

  - Defined in models/BaseForLines.ts:96

  #### Returns object

  - ##### end: object

    - ##### col: number

    - ##### line: number

  - ##### start: object

    - ##### col: number

    - ##### line: number

### __getSourceLineAndColumn

- __getSourceLineAndColumn(): object

- Inherited from BaseForLines.__getSourceLineAndColumn

  - Defined in models/BaseForLines.ts:81

  #### Returns object

  - ##### colNum: number

  - ##### line: string

  - ##### lineNum: number

  - ##### nextLine: null | string

  - ##### prevLine: null | string

### __incrementCoverage

- __incrementCoverage(): void

- Inherited from BaseForLines.__incrementCoverage

  - Defined in models/BaseForLines.ts:104

  #### Returns void

### getMessage

- getMessage(): string

- Inherited from AbstractCommand.getMessage

  - Defined in models/command.ts:19

  #### Returns string

### getSound

- getSound(): GameSound

- Inherited from AbstractCommand.getSound

  - Defined in models/command.ts:16

  #### Returns GameSound

### getType

- getType(): COMMAND_TYPE

- Overrides AbstractCommand.getType

  - Defined in models/command.ts:75

  #### Returns COMMAND_TYPE

### toKey

- toKey(): string

- Overrides AbstractCommand.toKey

  - Defined in models/command.ts:76

  #### Returns string

### toSourceString

- toSourceString(): string

- Inherited from BaseForLines.toSourceString

  - Defined in models/BaseForLines.ts:90

  #### Returns string

### toString

- toString(): string

- Inherited from BaseForLines.toString

  - Defined in models/BaseForLines.ts:85

  #### Returns string

Generated using TypeDoc